import { defineConfig } from 'vite';
import vue from '@vitejs/plugin-vue'
import vueJsx from '@vitejs/plugin-vue-jsx'
import path from 'path';
import fs from "fs";
const pathResolve = (pathStr: string) => {
	return path.resolve(__dirname, pathStr);
};

module.exports = defineConfig({
	plugins: [vue(), vueJsx()],
	alias: {
		'@': pathResolve('./src'),
	},
	server: {
		https: {
			key: fs.readFileSync("./cert/6353984_jpcj-h5.zzxcx.net.key"),
			cert: fs.readFileSync("./cert/6353984_jpcj-h5.zzxcx.net.pem"),
		},
		host: "coach.zzxcx.net",
		port: 443,
		// https: {
		// key: fs.readFileSync("./cert/6353984_jpcj-h5.zzxcx.net.key"),
		// cert: fs.readFileSync("./cert/6353984_jpcj-h5.zzxcx.net.pem")
		// },

	},
});
